name: roomfit_device
description: Roomfit device state, gateway, and logger abstraction. Pure Dart — transport-agnostic, Flutter-agnostic. Pair with any Transport implementation (roomfit_ble, mock, replay, usb).
version: 0.1.0
publish_to: none

environment:
  sdk: ^3.10.0

resolution: workspace

dependencies:
  meta: ^1.12.0
  freezed_annotation: ^3.0.0
  roomfit_protocol:
    path: ../roomfit_protocol

dev_dependencies:
  test: ^1.25.0
  lints: ^6.0.0
  build_runner: ^2.4.0
  freezed: ^3.0.0
